const m = require('mithril')

const Frontpage = {
  oninit: function(vnode) {
    this.error = ''
  },

  view: function(vnode) {
    return [
      m('section.title', [
        m('div.under', [
          m('div.text', [
            m('h1', 'Ekki missa af draumaeigninni þinni'),
            m('p', 'Skráðu þig í Eignavaktina sem sendir þér tölvupóst um leið og draumaeignina þín kemur á markaðinn'),
          ]),
          m('div.filler'),
          m('div.house1'),
        ]),
        m('div.form', [
          m('h5', 'What are you looking for?'),
          m('form.form-group', [
            m('div.form-item', [
              m('label', 'City*'),
              m('input', { type: 'text', placeholder: 'Reykjavík' }),
            ]),
            m('div.form-item', [
              m('label', 'Postal code (optional)'),
              m('input', { type: 'text', placeholder: '000' }),
            ]),
            m('div.form-item.form-fill', [
              m('label', 'Street name (optional)'),
              m('input', { type: 'text', placeholder: 'Enter your dream street adress' }),
            ]),
            m('div.form-item.form-small.form-no-label', [
              m('input.button-flat.disabled', { type: 'submit', value: 'Add location' }),
            ]),
          ]),
          m('button', { hidden: true }, [
            m('i.ic-plus'),
            m('span', 'Add more locations')
          ]),
          m('div.form-group', [
            m('div.form-item', [
              m('label', 'Tegund'),
              m('div.form-list', [
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Alveg sama'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Einbýli'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Fjölbýli'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Rað/Parhús'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Hæð/Íbuð'),
                ]),
              ]),
            ]),
          ]),
          m('div.form-group', [
            m('div.form-item', [
              m('label', 'Size'),
              m('div.form-list', [
                m('label.checkbox', [
                  m('input', { type: 'checkbox', checked: true, }),
                  m('div.button-checkbox', 'Alveg sama'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '0 - 50fm'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '50 - 80fm'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '80 - 120fm'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '120fm +'),
                ]),
                /*m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'velja svið'),
                ]),*/
              ]),
            ]),
          ]),
          m('div.form-group', [
            m('div.form-item', [
              m('label', 'Rooms'),
              m('div.form-list', [
                m('label.checkbox', [
                  m('input', { type: 'checkbox', checked: true, }),
                  m('div.button-checkbox', 'Alveg sama'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'Stúdíó'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '2 - 3 herb.'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '3 - 4 herb.'),
                ]),
                m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', '5 + herb.'),
                ]),
                /*m('label.checkbox', [
                  m('input', { type: 'checkbox' }),
                  m('div.button-checkbox', 'velja svið'),
                ]),*/
              ]),
            ]),
          ]),
          
          m('div.form-group', [
            m('div.form-small.form-no-label', [
              m('button.button-inactive', { disabled: true }, 'Continue')
            ]),
          ]),
        ]),
      ]),
      m('section.tips', [
        m('div.image.house2'),
        m('div.space'),
        m('div.content', [
          m('h2', 'Góð ráð þegar kemur að kaupa fasteign'),
          m('p', 'Að undirbúa eignina þína fyrir sölusýningu eða opið hús er lykil atriði og það mun ekki bara hjálpa til við sölu heldur getur það hækkað endanlegt verð eignarinnar umtalsvert.'),
          m('p', 'Það eru smáatriðin sem skipta máli þegar kemur að því að sýna eignina. Taktu til, hugaðu að lýsingu og gerðu kósí.'),
          m('p', m.trust('&nbsp;')),
          m('div.checkmark', 'Lagaðu til og hafðu heimilið aðlaðandi'),
          m('div.checkmark', 'Falleg lýsing skiptir máli'),
          m('div.checkmark', 'Kveiktu á ilmkertum eða bakaðu smákökur til að fá fram heimilislega lykt'),
          m('div.checkmark', 'Mikilvægustu herbergin eru stofan, eldhúsið og hjónaherbergið'),
        ]),
      ]),
      m('section.pricemat', [
        m('div.content', [
          m('a.link', { href: 'https://verdmat.is', target: '_blank' }, 'verdmat.is'),
          m('h2', 'Want to know how much your property is worth?'),
          m('p', 'Við erum með allar upplýsingar um stærð eignarinnar, fasteignamat, brunabótamat, byggingarefni, byggingarár og fleira á skrá hjá okkur. '),
          m('a.button-white', { href: 'https://verdmat.is', target: '_blank' }, 'Visit verðmat.is')
        ]),
        m('div.image.house3'),
      ]),
    ]
  },
}

module.exports = Frontpage
